import serial                     # we need to import the pySerial stuff to use
import sys

# important AX-12 constants
AX_WRITE_DATA = 3
AX_READ_DATA = 4

s = serial.Serial()               # create a serial port object
s.baudrate = 1000000              # baud rate, in bits/second
s.port = "/dev/ttyUSB0"           # this is whatever port your are using
s.open()

ID = 0xFE
# set register values
def setLight(ID,val):
    length = 4
    instr = AX_WRITE_DATA
    addr = 0x19
    par1 = val
    chksum = 255 - ((ID + length + instr + addr + par1)%256)
    lista = [0xff, 0xff, ID, length, instr, addr, par1, chksum]
    for val in lista:
		s.write(chr(val))
   		print val,

def getReg(index, regstart, rlength):
    s.flushInput()   
    checksum = 255 - ((6 + index + regstart + rlength)%256)
    s.write(chr(0xFF)+chr(0xFF)+chr(076)+chr(0x04)+chr(AX_READ_DATA)+chr(regstart)+chr(rlength)+chr(checksum))
    vals = list()
    s.read()   # 0xff
    s.read()   # 0xff
    s.read()   # ID
    length = ord(s.read()) - 1
    s.read()   # toss error    
    while length > 0:
        vals.append(ord(s.read()))
        length = length - 1
    if rlength == 1:
        return vals[0]
    return vals

setLight(ID, int(sys.argv[1]))  # this will move servo 1 to centered position (512)
#print getReg(1,43,1)               # get the temperature
